-- MySQL dump 10.13  Distrib 5.5.15, for Win32 (x86)
--
-- Host: localhost    Database: fws_messages
-- ------------------------------------------------------
-- Server version	5.5.15

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `categories`
--

DROP TABLE IF EXISTS `categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `categories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(48) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories`
--

LOCK TABLES `categories` WRITE;
/*!40000 ALTER TABLE `categories` DISABLE KEYS */;
INSERT INTO `categories` VALUES (1,'System'),(2,'Admin'),(3,'Test'),(4,'Game');
/*!40000 ALTER TABLE `categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `message_fields`
--

DROP TABLE IF EXISTS `message_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `message_fields` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `message_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to messages',
  `type` varchar(96) NOT NULL DEFAULT 'unsigned int' COMMENT 'the data type of the field',
  `length` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'length in bytes',
  `max_length` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'maximum length of the field if the length is dynamic (i.e. length is defined as 0)',
  `name` varchar(64) NOT NULL DEFAULT 'unnamed' COMMENT 'a name which summarizes the fields'' semantics',
  `description` text NOT NULL COMMENT 'optional details for this field',
  `sequence_order` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'relative position of the value within the message container',
  PRIMARY KEY (`id`),
  KEY `message_id` (`message_id`)
) ENGINE=InnoDB AUTO_INCREMENT=549 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `message_fields`
--

LOCK TABLES `message_fields` WRITE;
/*!40000 ALTER TABLE `message_fields` DISABLE KEYS */;
INSERT INTO `message_fields` VALUES (1,1,'unsigned int',1,0,'length','Total message length',0),(2,1,'unsigned int',3,0,'msgId','Id',1),(3,3,'unsigned int',1,0,'length','Total message length',0),(4,3,'unsigned int',3,0,'msgId','Id',1),(5,2,'unsigned int',1,0,'length','-',0),(6,2,'unsigned int',3,0,'msgId','-',1),(7,2,'unsigned int',2,0,'xPos','-',2),(8,2,'unsigned int',2,0,'yPos','-',3),(9,4,'unsigned int',1,0,'length','-',0),(10,4,'unsigned int',3,0,'msgId','-',1),(11,4,'double',4,0,'xPos','-',3),(12,4,'double',4,0,'yPos','-',4),(13,1,'string',0,200,'chatText','The chat text itself',3),(14,6,'unsigned int',1,0,'length','-',0),(15,1,'unsigned int',1,0,'textLength','Length of the chat msg',2),(16,7,'unsigned int',1,0,'length','-',0),(18,6,'unsigned int',3,0,'msgId','-',1),(19,4,'unsigned int',2,0,'listenerIndex','-',2),(20,3,'unsigned int',2,0,'listenerIndex','index of the client used for proper identification of a client',2),(21,5,'unsigned int',1,0,'length','Total message length',0),(22,5,'unsigned int',3,0,'msgId','Id',1),(23,5,'double',4,0,'d1','-',3),(24,5,'double',4,0,'d2','-',4),(25,5,'double',4,0,'d3','-',5),(26,5,'unsigned int',1,0,'i1','-',6),(27,5,'unsigned int',1,0,'i2','-',7),(28,5,'unsigned int',1,0,'i3','-',8),(29,5,'unsigned int',2,0,'index','client index',2),(30,4,'double',4,0,'angle','-',5),(31,4,'unsigned int',1,0,'red','-',6),(32,4,'unsigned int',1,0,'green','-',7),(33,4,'unsigned int',1,0,'blue','-',8),(34,7,'unsigned int',3,0,'msgId','-',1),(35,7,'unsigned int',2,0,'xPos','-',2),(36,7,'unsigned int',2,0,'yPos','-',3),(37,7,'unsigned int',4,0,'objectId','-',4),(38,8,'unsigned int',1,0,'length','-',0),(39,8,'unsigned int',3,0,'msgId','-',1),(41,10,'unsigned int',1,0,'length','-',0),(42,10,'unsigned int',3,0,'msgId','-',1),(43,9,'unsigned int',1,0,'length','-',0),(44,9,'unsigned int',3,0,'msgId','-',1),(45,9,'unsigned int',1,0,'ipTextLength','-',2),(46,9,'string',0,24,'ip','-',3),(47,9,'unsigned int',1,0,'serverNameTextLength','-',4),(48,9,'string',0,45,'serverName','-',5),(49,11,'unsigned int',1,0,'length','-',0),(50,11,'unsigned int',3,0,'msgId','-',1),(51,11,'unsigned int',1,0,'versionMajor','Main version number',2),(52,11,'unsigned int',1,0,'versionMinor','Minor version number',3),(53,11,'unsigned int',1,0,'versionSub','Sub version number',4),(54,10,'unsigned int',1,0,'versionMajor','-',2),(55,10,'unsigned int',1,0,'versionMinor','-',3),(56,10,'unsigned int',1,0,'versionSub','-',4),(57,12,'unsigned int',1,0,'length','-',0),(58,12,'unsigned int',3,0,'msgId','-',1),(60,12,'unsigned int',1,0,'userNameLength','Length of the user name',2),(61,12,'string',0,10,'userName','The provided user name',3),(62,12,'unsigned int',1,0,'userPasswordLength','Length of the password',4),(63,12,'string',0,10,'userPassword','The provided password',5),(64,13,'unsigned int',1,0,'length','-',0),(65,13,'unsigned int',3,0,'msgId','-',1),(66,13,'unsigned int',1,0,'userNameLength','Length of the user name',2),(67,13,'string',0,10,'userName','User name',3),(68,13,'unsigned int',1,0,'userPasswordLength','Length of the user password',4),(69,13,'string',0,10,'userPassword','User password',5),(70,14,'unsigned int',1,0,'length','-',0),(71,14,'unsigned int',3,0,'msgId','-',1),(72,14,'unsigned int',1,0,'success','Indicates whether registering was successful (1) or not (0)',2),(73,14,'unsigned int',1,0,'infoLength','Length of the info message specifying success / failure',3),(74,14,'string',0,96,'infoMessage','The info message detailing the success / failure status',4),(75,15,'unsigned int',1,0,'length','-',0),(76,15,'unsigned int',3,0,'msgId','-',1),(77,15,'unsigned int',1,0,'success','Success (1) or failure (0)',2),(78,15,'unsigned int',1,0,'infoLength','Length of the info message',6),(79,15,'string',0,96,'infoMessage','Info message detailing the success status for, so the client can make sense of it',7),(80,15,'unsigned int',4,0,'userId','Id of the user as found in the DB',3),(81,15,'unsigned char*',8,0,'challengeNumberData','Encrypted challenge number client will have to re-encrypt and send back to verify as a valid client',5),(84,15,'unsigned int',4,0,'counterValue','',4),(85,16,'erver',1,0,'length','-',0),(86,16,'unsigned int',3,0,'msgId','-',1),(88,16,'unsigned char*',8,0,'challengeNumber','The challenge number which was sent crypted by the server, decrypted by the client, the server will read and compare to the one originally sent.',2),(89,17,'unsigned int',1,0,'length','-',0),(90,17,'unsigned int',3,0,'msgId','-',1),(91,17,'unsigned int',1,0,'firstPartLength','Length of the first part of the address',2),(92,17,'string',0,31,'firstPart','First part of the e-mail (before the @ sign)',3),(93,17,'unsigned int',1,0,'secondPartLength','Length of the second part of the address',4),(94,17,'string',0,32,'secondPart','Second part of the e-mail (after the @ sign)',5),(95,18,'unsigned int',1,0,'length','-',0),(96,18,'unsigned int',3,0,'msgId','-',1),(97,18,'unsigned int',1,0,'success','Success (1) or failure (0)',2),(98,18,'unsigned int',1,0,'infoLength','Length of the info message specifying success / failure',3),(99,18,'string',0,96,'infoMessage','The info message detailing the success / failure status',4),(100,19,'unsigned int',1,0,'length','-',0),(101,19,'unsigned int',3,0,'msgId','-',1),(102,20,'unsigned int',1,0,'length','-',0),(103,20,'unsigned int',3,0,'msgId','-',1),(104,21,'unsigned int',1,0,'length','-',0),(105,21,'unsigned int',3,0,'msgId','-',1),(107,22,'unsigned int',1,0,'length','-',0),(108,22,'unsigned int',3,0,'msgId','-',1),(109,22,'unsigned int',4,0,'objectId','The database id of the character',2),(110,22,'unsigned int',4,0,'classId','The class this character belongs to (e.g. human, elf, dwarf, orc, wizard)',3),(111,22,'unsigned int',3,0,'clanId','Clan this character belongs to',4),(112,22,'unsigned int',4,0,'playfieldId','Current playfield this character is on (0 for none)',5),(113,22,'unsigned int',4,0,'graphicId','',6),(114,22,'unsigned int',2,0,'graphicsX','-',7),(115,22,'unsigned int',2,0,'graphicsY','-',8),(116,22,'unsigned int',1,0,'graphicsDim','-',9),(117,22,'unsigned int',1,0,'nameLength','-',36),(118,22,'string',0,12,'name','-',37),(119,22,'unsigned int',2,0,'x','xPos on the playfield',10),(120,22,'unsigned int',2,0,'y','yPos on the playfield',11),(121,22,'unsigned int',1,0,'level','Character experience level',12),(122,22,'unsigned int',2,0,'levelPoints','Number of points you character may spend on attribute increase',13),(123,22,'unsigned int',4,0,'experience','-',14),(124,22,'unsigned int',4,0,'gold','-',15),(125,22,'unsigned int',2,0,'healthBase','Max health value defined as a character attribute. The actual maximum health is base + extra',16),(126,22,'unsigned int',2,0,'healthExtra','Extra health as a result of equipped items and / or other effects',17),(127,22,'unsigned int',2,0,'healthCurrent','The health this character actually has out of base + extra',18),(128,22,'unsigned int',2,0,'manaBase','Max mana value defined as a character attribute. The actual maximum mana is base + extra',19),(129,22,'unsigned int',2,0,'manaExtra','Extra mana as a result of equipped items and / or other effects',20),(130,22,'unsigned int',2,0,'manaCurrent','The mana this character actually has out of base + extra',21),(131,22,'unsigned int',2,0,'attackBase','-',22),(132,22,'unsigned int',2,0,'attackExtra','-',23),(133,22,'unsigned int',2,0,'defenseBase','-',24),(134,22,'unsigned int',2,0,'defenseExtra','-',25),(135,22,'unsigned int',2,0,'damageBase','-',26),(136,22,'unsigned int',2,0,'damageExtra','-',27),(137,22,'unsigned int',2,0,'skillBase','-',28),(138,22,'unsigned int',2,0,'skillExtra','-',29),(139,22,'unsigned int',2,0,'magicBase','-',30),(140,22,'unsigned int',2,0,'magicExtra','-',31),(141,22,'unsigned int',2,0,'healthregenerateBase','-',32),(142,22,'unsigned int',2,0,'healthregenerateExtra','-',33),(143,22,'unsigned int',2,0,'manaregenerateBase','-',34),(144,22,'unsigned int',2,0,'manaregenerateExtra','-',35),(145,22,'unsigned int',1,0,'statusMsgLength','-',38),(146,22,'string',0,24,'statusMsg','-',39),(157,23,'unsigned int',1,0,'length','-',0),(158,23,'unsigned int',3,0,'msgId','-',1),(159,24,'unsigned int',1,0,'length','-',0),(160,24,'unsigned int',3,0,'msgId','-',1),(161,24,'unsigned int',4,0,'classId','-',2),(162,25,'unsigned int',1,0,'length','-',0),(163,25,'unsigned int',3,0,'msgId','-',1),(164,26,'unsigned int',1,0,'length','-',0),(165,26,'unsigned int',3,0,'msgId','-',1),(166,26,'unsigned int',1,0,'success','1 for success, 0 for failure',2),(167,27,'unsigned int',1,0,'length','-',0),(168,27,'unsigned int',3,0,'msgId','-',1),(169,27,'unsigned int',1,0,'success','1 on success, 0 on failure',2),(172,24,'unsigned int',1,0,'nameLength','Length of the character name',3),(173,24,'string',0,12,'name','Name of the new character',4),(174,27,'unsigned int',1,0,'infoLength','Length of the info message',3),(175,27,'string',0,116,'infoMessage','Message containing some description for success / failure',4),(176,28,'unsigned int',1,0,'length','-',0),(177,28,'unsigned int',3,0,'msgId','-',1),(178,28,'unsigned int',4,0,'classId','-',2),(179,28,'unsigned int',1,0,'premiumOnly','',3),(180,28,'unsigned int',4,0,'graphicId','',4),(181,28,'unsigned int',2,0,'graphicsX','-',5),(182,28,'unsigned int',2,0,'graphicsY','-',6),(183,28,'unsigned int',1,0,'graphicsDim','-',7),(184,28,'unsigned int',2,0,'healthBase','-',8),(185,28,'unsigned int',1,0,'healthModifier','-',9),(186,28,'unsigned int',2,0,'manaBase','-',10),(187,28,'unsigned int',1,0,'manaModifier','-',11),(188,28,'unsigned int',2,0,'attackBase','-',12),(189,28,'unsigned int',1,0,'attackModifier','-',13),(190,28,'unsigned int',2,0,'defenseBase','-',14),(191,23,'unsigned int',4,0,'characterId','The id of the selected character',2),(192,28,'unsigned int',1,0,'defenseModifier','-',15),(193,28,'unsigned int',2,0,'damageBase','-',16),(194,28,'unsigned int',1,0,'damageModifier','-',17),(195,28,'unsigned int',2,0,'skillBase','-',18),(196,28,'unsigned int',1,0,'skillModifier','-',19),(197,28,'unsigned int',2,0,'magicBase','-',20),(198,28,'unsigned int',1,0,'magicModifier','-',21),(199,28,'unsigned int',2,0,'healthregenerateBase','-',22),(200,28,'unsigned int',1,0,'healthregenerateModifier','-',23),(201,28,'unsigned int',2,0,'manaregenerateBase','-',24),(202,28,'unsigned int',1,0,'manaregenerateModifier','-',25),(203,28,'unsigned int',1,0,'nameLength','-',26),(204,28,'string',0,16,'name','-',27),(205,29,'unsigned int',1,0,'length','-',0),(206,29,'unsigned int',3,0,'msgId','-',1),(207,29,'unsigned int',4,0,'graphicId','id of the image',2),(208,30,'unsigned int',1,0,'long_msg_padding','-',0),(209,30,'unsigned int',2,0,'length','-',1),(210,30,'unsigned int',3,0,'msgId','-',2),(211,30,'unsigned int',4,0,'chunkLength','Length of this image chunk',5),(212,30,'unsigned char*',0,0,'chunkData','The actual image chunk data',6),(213,30,'unsigned int',2,0,'chunkCount','Number of chunks which make up the complete image',3),(214,30,'unsigned int',2,0,'chunkNum','The current chunk number out of the total chunks',4),(216,31,'unsigned int',1,0,'length','-',0),(217,31,'unsigned int',3,0,'msgId','-',1),(218,31,'unsigned int',4,0,'imageSize','Size of the requested image in bytes',2),(219,26,'unsigned int',1,0,'infoLength','Length of the info message',3),(220,26,'string',0,116,'infoMessage','Information about the permission result for the client',4),(221,32,'unsigned int',1,0,'length','-',0),(222,32,'unsigned int',3,0,'msgId','-',1),(223,32,'unsigned int',1,0,'nameLength','Length of the new character name',3),(224,32,'string',0,12,'name','Name of the character',4),(225,33,'unsigned int',1,0,'length','-',0),(226,33,'unsigned int',3,0,'msgId','-',1),(227,33,'unsigned int',1,0,'success','-',2),(228,33,'unsigned int',1,0,'infoLength','Lengfth of the info message',4),(229,33,'string',0,96,'infoMessage','Info message to indicate possible errors',5),(234,32,'unsigned int',4,0,'characterId','Id of the character which should be renamed, server will check if this is a valid charater fo the given user',2),(235,33,'unsigned int',4,0,'characterId','Id the of the character which was renamed or failed to rename',3),(236,34,'unsigned int',1,0,'length','-',0),(237,34,'unsigned int',3,0,'msgId','-',1),(240,34,'unsigned int',4,0,'characterId','Id of the character which should be deleted, server will check if this is a valid charater fo the given user',2),(241,35,'unsigned int',1,0,'length','-',0),(242,35,'unsigned int',3,0,'msgId','-',1),(243,35,'unsigned int',1,0,'success','-',2),(244,35,'unsigned int',1,0,'infoLength','Lengfth of the info message',4),(245,35,'string',0,96,'infoMessage','Info message to indicate possible errors',5),(246,35,'unsigned int',4,0,'characterId','Id the of the character which was deleted or failed to delete',3),(247,36,'unsigned int',1,0,'length','-',0),(248,36,'unsigned int',3,0,'msgId','-',1),(249,36,'unsigned int',1,0,'nameLength','Length of the user name that is sent',2),(250,36,'string',0,12,'name','The user name identifying this account',3),(251,37,'unsigned int',1,0,'length','-',0),(252,37,'unsigned int',3,0,'msgId','-',1),(253,37,'unsigned int',1,0,'success','Success (1) or failure (0)',2),(254,37,'unsigned int',1,0,'infoLength','Length of the info message specifying success / failure',3),(255,37,'string',0,96,'infoMessage','The info message detailing the success / failure status',4),(256,38,'0',1,0,'length','-',0),(257,38,'unsigned int',3,0,'msgId','-',0),(258,38,'unsigned int',1,0,'nameLength','Length of the user name that is sent',1),(259,38,'string',0,12,'name','The user name identifying this account',2),(260,38,'unsigned int',1,0,'codeLength','Length of the reset-code',3),(261,38,'string',0,6,'resetCode','The reset code to verify this as a valid reset',4),(262,39,'unsigned int',1,0,'length','-',0),(263,39,'unsigned int',3,0,'msgId','-',1),(264,39,'unsigned int',1,0,'success','Success (1) or failure (0)',2),(265,39,'unsigned int',1,0,'infoLength','Length of the info message specifying success / failure',3),(266,39,'string',0,96,'infoMessage','The info message detailing the success / failure status',4),(267,38,'unsigned int',1,0,'passwordLength','Length of the new password',5),(268,38,'string',0,12,'password','The new password to set',6),(269,40,'unsigned int',1,0,'length','-',0),(270,40,'unsigned int',3,0,'msgId','-',1),(275,41,'unsigned int',1,0,'length','-',0),(276,41,'unsigned int',3,0,'msgId','-',1),(278,41,'unsigned int',1,0,'firstPartLength','Length of the e-mail\'s first part',2),(279,41,'string',0,31,'firstPart','The first part of the e-mail address (up to the @) of the user belonging to the connected client',3),(280,41,'unsigned int',1,0,'secondPartLength','Length of the e-mail\'s second part',4),(281,41,'string',0,32,'secondPart','The second part of the e-mail address (after the @) of the user belonging to the connected client',5),(282,42,'unsigned int',1,0,'length','-',0),(283,42,'unsigned int',3,0,'msgId','-',1),(284,43,'unsigned int',1,0,'length','-',0),(285,43,'unsigned int',3,0,'msgId','-',1),(286,44,'unsigned int',1,0,'length','-',0),(287,44,'unsigned int',3,0,'msgId','-',1),(288,45,'unsigned int',1,0,'length','-',0),(289,45,'unsigned int',3,0,'msgId','-',1),(290,46,'unsigned int',1,0,'length','-',0),(291,46,'unsigned int',3,0,'msgId','-',1),(292,47,'unsigned int',1,0,'length','-',0),(293,47,'unsigned int',3,0,'msgId','-',1),(294,47,'unsigned int',1,0,'nameLength','-',5),(295,47,'string',0,32,'name','-',6),(296,47,'unsigned int',2,0,'width','Playfield width in cells',3),(297,47,'unsigned int',2,0,'height','Playfield height in cells',4),(298,48,'unsigned int',1,0,'length','-',0),(299,48,'unsigned int',3,0,'msgId','-',1),(300,48,'unsigned int',4,0,'startRank','First rank to display (highest rank is 1)',2),(301,48,'unsigned int',2,0,'numRanks','Number of ranks to display',3),(302,49,'unsigned int',1,0,'length','-',0),(303,49,'unsigned int',3,0,'msgId','-',1),(304,49,'unsigned int',4,0,'rank','-',2),(305,49,'unsigned int',1,0,'listIndex','Current index in the list',4),(306,49,'unsigned int',1,0,'listLength','Total list entires that are to be sent',5),(307,49,'unsigned int',1,0,'nameLength','Length of the character name',6),(308,49,'string',0,12,'name','Character name to display',7),(309,47,'unsigned int',4,0,'playfieldId','-',2),(310,50,'unsigned int',1,0,'length','-',0),(311,50,'unsigned int',3,0,'msgId','-',1),(312,50,'unsigned int',1,0,'type','0:background, 1:character',2),(313,50,'unsigned int',1,0,'idBufferLength','-',3),(314,50,'unsigned char*',0,120,'idBuffer','Holds the graphics ids, 4 bytes each',4),(315,49,'unsigned int',4,0,'experience','-',3),(316,51,'unsigned int',1,0,'length','-',0),(317,51,'unsigned int',3,0,'msgId','-',1),(318,52,'unsigned int',1,0,'long_msg_padding','-',0),(319,52,'unsigned int',2,0,'length','-',1),(320,52,'unsigned int',3,0,'msgId','-',2),(321,52,'unsigned int',4,0,'chunkLength','Length of this data chunk',5),(322,52,'unsigned char*',0,0,'chunkData','The actual data chunk',6),(323,52,'unsigned int',2,0,'chunkCount','Number of chunks which make up the complete playfield data',3),(324,52,'unsigned int',2,0,'chunkNum','The current chunk number out of the total chunks',4),(325,53,'unsigned int',1,0,'length','-',0),(326,53,'unsigned int',3,0,'msgId','-',1),(327,54,'unsigned int',1,0,'length','-',0),(328,54,'unsigned int',3,0,'msgId','-',1),(329,54,'unsigned int',1,0,'success','-',2),(330,54,'unsigned int',1,0,'infoLength','Lengfth of the info message',3),(331,54,'string',0,96,'infoMessage','Info message to indicate possible errors',4),(332,55,'unsigned int',1,0,'length','-',0),(333,55,'unsigned int',3,0,'msgId','-',1),(334,55,'unsigned int',2,0,'x','-',2),(335,55,'unsigned int',2,0,'y','-',3),(336,56,'unsigned int',1,0,'length','-',0),(337,56,'unsigned int',3,0,'msgId','-',1),(338,56,'unsigned int',2,0,'x','-',2),(339,56,'unsigned int',2,0,'y','-',3),(340,56,'unsigned int',4,0,'objectId','-',5),(341,57,'unsigned int',1,0,'length','-',0),(342,57,'unsigned int',3,0,'msgId','-',1),(343,57,'unsigned int',4,0,'objectId','-',2),(344,57,'unsigned int',2,0,'clanId','-',3),(345,57,'unsigned int',4,0,'graphicId','-',4),(346,57,'unsigned int',2,0,'graphicsX','-',5),(347,57,'unsigned int',2,0,'graphicsY','-',6),(348,57,'unsigned int',1,0,'graphicsDim','-',7),(349,57,'unsigned int',1,0,'level','-',8),(350,57,'unsigned int',2,0,'x','-',9),(351,57,'unsigned int',2,0,'y','-',10),(352,57,'unsigned int',2,0,'healthCurrent','-',12),(353,57,'unsigned int',2,0,'maxHealth','-',13),(354,57,'unsigned int',1,0,'nameLength','-',14),(355,57,'string',0,12,'name','-',15),(356,57,'unsigned int',1,0,'direction','-',11),(357,56,'unsigned int',1,0,'direction','-',4),(358,55,'unsigned int',1,0,'direction','-',4),(359,58,'unsigned int',1,0,'length','-',0),(360,58,'unsigned int',3,0,'msgId','-',1),(361,58,'unsigned int',4,0,'objectId','-',2),(362,59,'unsigned int',1,0,'length','-',0),(363,59,'unsigned int',3,0,'msgId','-',1),(364,59,'unsigned int',4,0,'itemId','-',2),(365,59,'unsigned int',4,0,'graphicId','-',3),(366,59,'unsigned int',2,0,'graphicsX','-',4),(367,59,'unsigned int',2,0,'graphicsY','-',5),(368,60,'unsigned int',1,0,'length','-',0),(369,60,'unsigned int',3,0,'msgId','-',1),(370,60,'unsigned int',4,0,'itemId','-',2),(371,61,'unsigned int',1,0,'length','-',0),(372,61,'unsigned int',3,0,'msgId','-',1),(373,61,'unsigned int',4,0,'itemId','Id of the item to pick up',2),(374,59,'unsigned int',1,0,'usageType','-',6),(375,62,'unsigned int',1,0,'length','-',0),(376,62,'unsigned int',3,0,'msgId','-',1),(377,62,'unsigned int',4,0,'objectId','-',2),(379,62,'int',4,0,'clientTypeId','-',3),(380,62,'unsigned int',4,0,'setId','Set this item belongs to, if any',6),(381,62,'unsigned int',4,0,'graphicId','-',7),(382,62,'unsigned int',2,0,'graphicsX','-',8),(383,62,'unsigned int',2,0,'graphicsY','-',9),(384,62,'unsigned int',1,0,'premiumOnly','-',10),(385,62,'unsigned int',1,0,'nameLength','-',33),(386,62,'string',0,24,'name','-',34),(388,62,'unsigned int',1,0,'canSell','-',11),(389,62,'unsigned int',1,0,'canDrop','-',12),(390,62,'unsigned int',2,0,'units','-',13),(391,62,'unsigned int',2,0,'unitsSell','-',14),(392,62,'unsigned int',3,0,'price','-',15),(393,62,'unsigned int',1,0,'equippedStatus','-',16),(394,62,'unsigned int',2,0,'healthEffect','-',17),(395,62,'unsigned int',2,0,'manaEffect','-',18),(396,62,'unsigned int',2,0,'attackEffect','-',19),(397,62,'unsigned int',2,0,'defenseEffect','-',20),(398,62,'unsigned int',2,0,'damageEffect','-',21),(399,62,'unsigned int',2,0,'skillEffect','-',22),(400,62,'unsigned int',2,0,'magicEffect','-',23),(401,62,'unsigned int',2,0,'healthRegenerateEffect','-',24),(402,62,'unsigned int',2,0,'manaRegenerateEffect','-',25),(403,62,'unsigned int',2,0,'actionEffect1','-',26),(404,62,'unsigned int',2,0,'actionEffect2','-',27),(405,62,'unsigned int',2,0,'effectDuration','-',28),(415,62,'unsigned int',1,0,'descriptionLength','-',35),(416,62,'string',0,48,'description','-',35),(417,62,'unsigned int',2,0,'requiredSkill','-',29),(418,62,'unsigned int',2,0,'requiredMagic','-',30),(419,63,'unsigned int',1,0,'length','-',0),(420,63,'unsigned int',3,0,'msgId','-',1),(422,63,'unsigned int',1,0,'infoLength','Length of the info message specifying failure',2),(423,63,'string',0,96,'infoMessage','The info message detailing the failure',3),(424,64,'unsigned int',1,0,'length','-',0),(425,64,'unsigned int',3,0,'msgId','-',1),(426,64,'unsigned int',4,0,'itemId','-',2),(427,64,'unsigned int',2,0,'units','-',3),(428,59,'unsigned int',2,0,'xPos','-',7),(429,59,'unsigned int',2,0,'yPos','-',8),(430,65,'unsigned int',1,0,'length','-',0),(431,65,'unsigned int',3,0,'msgId','-',1),(432,65,'unsigned int',4,0,'itemId','Id of the item to equip',2),(433,66,'unsigned int',1,0,'length','-',0),(434,66,'unsigned int',3,0,'msgId','-',1),(435,66,'unsigned int',4,0,'itemId','Id of the item to unequip',2),(436,67,'unsigned int',1,0,'length','-',0),(437,67,'unsigned int',3,0,'msgId','-',1),(438,67,'unsigned int',4,0,'objectId','-',2),(439,67,'unsigned int',4,0,'categoryId','-',3),(440,67,'int',4,0,'clientDefineId','-',4),(441,67,'unsigned int',4,0,'setId','Set this item belongs to, if any',5),(442,67,'unsigned int',4,0,'graphicId','-',6),(443,67,'unsigned int',2,0,'graphicsX','-',7),(444,67,'unsigned int',2,0,'graphicsY','-',8),(445,67,'unsigned int',1,0,'premiumOnly','-',9),(446,67,'unsigned int',1,0,'nameLength','-',31),(447,67,'string',0,24,'name','-',32),(448,67,'unsigned int',1,0,'usageType','unknown,equip,use,gold',10),(449,67,'unsigned int',1,0,'canSell','-',11),(450,67,'unsigned int',1,0,'canDrop','-',12),(451,67,'unsigned int',2,0,'units','-',13),(452,67,'unsigned int',2,0,'unitsSell','-',14),(453,67,'unsigned int',3,0,'price','-',15),(454,67,'unsigned int',1,0,'equippedStatus','-',16),(455,67,'unsigned int',2,0,'healthEffect','-',17),(456,67,'unsigned int',2,0,'manaEffect','-',18),(457,67,'unsigned int',2,0,'attackEffect','-',19),(458,67,'unsigned int',2,0,'defenseEffect','-',20),(459,67,'unsigned int',2,0,'damageEffect','-',21),(460,67,'unsigned int',2,0,'skillEffect','-',22),(461,67,'unsigned int',2,0,'magicEffect','-',23),(462,67,'unsigned int',2,0,'healthRegenerateEffect','-',24),(463,67,'unsigned int',2,0,'manaRegenerateEffect','-',25),(464,67,'unsigned int',2,0,'actionEffect1','-',26),(465,67,'unsigned int',2,0,'actionEffect2','-',27),(466,67,'unsigned int',2,0,'effectDuration','-',28),(467,67,'unsigned int',1,0,'descriptionLength','-',33),(468,67,'string',0,48,'description','',34),(469,67,'unsigned int',2,0,'requiredSkill','-',29),(470,67,'unsigned int',2,0,'requiredMagic','-',30),(471,62,'unsigned int',1,0,'frequency','-',31),(472,62,'unsigned int',1,0,'range','-',32),(473,68,'unsigned int',1,0,'length','-',0),(474,68,'unsigned int',3,0,'msgId','-',1),(475,68,'unsigned int',1,0,'chatMsgLength','-',2),(476,68,'string',0,24,'chatMsg','-',3),(478,69,'unsigned int',1,0,'length','-',0),(479,69,'unsigned int',3,0,'msgId','-',1),(480,69,'unsigned int',1,0,'chatMsgLength','-',3),(481,69,'string',0,24,'chatMsg','-',4),(482,69,'unsigned int',4,0,'objectId','Id of the character sending the chat message',2),(483,71,'unsigned int',1,0,'length','-',0),(484,71,'unsigned int',3,0,'msgId','-',1),(485,71,'unsigned int',1,0,'chatMsgLength','-',6),(486,71,'string',0,32,'chatMsg','-',7),(487,71,'unsigned int',4,0,'receiverId','-',3),(488,72,'unsigned int',1,0,'length','-',0),(489,72,'unsigned int',3,0,'msgId','-',1),(490,72,'unsigned int',1,0,'chatMsgLength','-',3),(491,72,'string',0,24,'chatMsg','-',4),(492,72,'unsigned int',4,0,'receiverId','Could later be extended to be a channel id',2),(493,73,'unsigned int',1,0,'length','-',0),(494,73,'unsigned int',3,0,'msgId','-',1),(495,73,'unsigned int',1,0,'chatMsgLength','-',3),(496,73,'string',0,32,'chatMsg','-',4),(497,73,'unsigned int',4,0,'receiverId','Could later be extended to be the id of a channel',2),(499,71,'unsigned int',4,0,'senderId','-',2),(500,71,'unsigned int',1,0,'senderNameLength','-',4),(501,71,'string',0,12,'senderName','-',5),(502,74,'unsigned int',1,0,'length','-',0),(503,74,'unsigned int',3,0,'msgId','-',1),(504,74,'unsigned int',1,0,'messageLength','Length of the msg',2),(505,74,'string',0,96,'message','msg',3),(506,75,'unsigned int',1,0,'length','-',0),(507,75,'unsigned int',3,0,'msgId','-',1),(509,75,'unsigned int',1,0,'infoLength','Length of the info message',2),(510,75,'string',0,96,'infoMessage','Info message detailing why the logout happened',3),(511,76,'unsigned int',1,0,'msgId','-',0),(512,76,'unsigned int',3,0,'length','-',1),(513,76,'unsigned int',4,0,'targetId','objectId of the target character',2),(514,77,'unsigned int',1,0,'length','-',0),(515,77,'unsigned int',3,0,'msgId','-',1),(516,77,'unsigned int',4,0,'attackerId','-',2),(517,77,'unsigned int',4,0,'targetId','-',3),(518,77,'unsigned int',2,0,'hitValue','-',4),(519,77,'unsigned int',2,0,'curHealth','-',5),(520,78,'unsigned int',1,0,'length','-',0),(521,78,'unsigned int',3,0,'msgId','-',1),(522,78,'unsigned int',4,0,'attackerId','-',2),(523,78,'unsigned int',4,0,'targetId','-',3),(524,79,'unsigned int',1,0,'length','-',0),(525,79,'unsigned int',3,0,'msgId','-',1),(526,79,'unsigned int',4,0,'characterId','-',2),(528,80,'unsigned int',1,0,'length','-',0),(529,80,'unsigned int',3,0,'msgId','-',1),(531,81,'unsigned int',1,0,'length','-',0),(532,81,'unsigned int',3,0,'msgId','-',1),(534,80,'unsigned int',1,0,'success','Whether or not respawn is ok',2),(535,80,'unsigned int',1,0,'infoLength','-',7),(536,80,'string',0,96,'infoMessage','Info message to indicate possible errors',8),(537,80,'unsigned int',2,0,'curHealth','-',5),(538,80,'unsigned int',2,0,'curMana','-',6),(539,80,'unsigned int',2,0,'respawnX','-',3),(540,80,'unsigned int',2,0,'respawnY','-',4),(541,82,'unsigned int',1,0,'length','-',0),(542,82,'unsigned int',3,0,'msgId','-',1),(546,82,'unsigned int',2,0,'curHealth','-',2),(547,82,'unsigned int',2,0,'curMana','-',3),(548,62,'unsigned int',1,0,'usageType','-',5);
/*!40000 ALTER TABLE `message_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `messages`
--

DROP TABLE IF EXISTS `messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `messages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK',
  `group_id` int(10) unsigned NOT NULL DEFAULT '1',
  `symbolic_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'actual message id',
  `symbolic_name` varchar(96) NOT NULL DEFAULT 'undefined' COMMENT 'name used for auto code generation',
  `description` text NOT NULL,
  `generate_handler` enum('yes','no') NOT NULL DEFAULT 'yes' COMMENT 'whether or not to generate a message handler on the server side (set to yes if the message is client-originated (co)',
  `long_message` enum('yes','no') NOT NULL DEFAULT 'no' COMMENT 'whether or not this is a long message (length > 255 and length encoded in bytes 1 and 2, byte 0 has a value of 0 in this case)',
  PRIMARY KEY (`id`),
  KEY `symbolic_id` (`symbolic_id`),
  KEY `symbolic_name` (`symbolic_name`),
  KEY `category` (`category_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=83 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `messages`
--

LOCK TABLES `messages` WRITE;
/*!40000 ALTER TABLE `messages` DISABLE KEYS */;
INSERT INTO `messages` VALUES (1,1,1,64,'system_chat','System chat message for internal use and testing','yes','no'),(3,3,1,530,'test_register_listener','-','yes','no'),(4,3,1,520,'test_object_move','-','yes','no'),(5,3,1,521,'test_payload','-','yes','no'),(6,1,1,65,'system_ping','System ping message','yes','no'),(8,4,1,1028,'game_server_list_request','Request the game servers for display on the client (co)','yes','no'),(9,4,1,1029,'game_server_entry','Server list entry to send to the client (so)','no','no'),(10,4,1,1030,'game_version_request','Get the game version, client sends along his current version (co)','yes','no'),(11,4,1,1031,'game_version','Game version required by the client (so)','no','no'),(12,4,2,2065,'game_user_login_request','Client requests  login (co)','yes','no'),(13,4,2,2050,'game_user_register_request','Client registers a user (co)','yes','no'),(14,4,2,2051,'game_user_register_result','Response to a register request, sent for success and failure, see the flag in the message (so)','no','no'),(15,4,2,2066,'game_user_login_result','Response sent back after a login attempt, success or failure (so)','no','no'),(16,4,2,2075,'game_user_challengenumber','The decrypted challenge number which is sent back to server to validate the client (co).\nNote that the challenge number is first sent by the server in encrypted form as part of the login result message','yes','no'),(17,4,2,2057,'game_user_email_change_request','Client requests to change the e-mail address (co)','yes','no'),(18,4,2,2058,'game_user_email_change_result','Response to the e-mail change request sent by the client (so)','no','no'),(19,4,1,1024,'game_ping','Client ping to server (co)','yes','no'),(20,4,1,1025,'game_pong','Server pong to client (so)','no','no'),(21,4,3,2160,'game_user_get_characters_request','Client requests character (co), server will send back the characters (without dependencies), if any','yes','no'),(22,4,3,2162,'game_user_character_for_list','Send a flat character entry to the client for display in the character selection list at the client (so)','no','no'),(23,4,3,2200,'game_user_character_select_request','Client requests to select character for active participation in the game world (co)','yes','no'),(24,4,3,2182,'game_user_character_create_request','Client requests to create a new character (co). Note that the number of characters allowed differs for premium users and non-premium users','yes','no'),(25,4,3,2180,'game_user_character_create_permission_request','Client requests permission to create a new character (co). This might not be allowed for non-premium users as the number of characters is limited for each account','yes','no'),(26,4,3,2181,'game_user_character_create_permission_result','Response to client request for permission to create a new character (so). Creating a new character may not be allowed because non-premium users may only own a limited number of characters','no','no'),(27,4,3,2183,'game_user_character_create_result','Response to client request for new character creation (so)','no','no'),(28,4,3,2150,'game_user_character_class_for_list','Character class containing the basic character class parameters for use on the client (display, and base values for character select (so)','no','no'),(29,4,1,1060,'game_graphics_load_request','Request to send the image data associated with the given graphics id to the client (co). The client will store the image using a record store mechanism, if available','yes','no'),(30,4,1,1062,'game_graphics_load_chunk','Send part of the image data, requested by the client (so). Note that this is a long message, encoding the length in bytes 1 and 2, byte 0 has a value of 0','no','yes'),(31,4,1,1061,'game_graphics_load_info','Notifies the client what the total size of the image is, will send 0 as the size if the image cannot be loaded (so)','no','no'),(32,4,3,2190,'game_user_character_rename_request','Client requests to rename the given character (co)','yes','no'),(33,4,3,2191,'game_user_character_rename_result','Response from server to notify the client whether or not the renaming was successful','no','no'),(34,4,3,2195,'game_user_character_delete_request','Client requests to delete the given character (co). Note that deleting will merely set the status flag to deleted, such that the user cannot use this character anymore but it remains in the database','yes','no'),(35,4,3,2196,'game_user_character_delete_result','Response from server to notify the client whether or not deletion was successful','no','no'),(36,4,2,2100,'game_user_password_reset_code_request','User is requesting that a reset code be sent to his e-mail address, provided the user has entered a correct e-mail address for his account (co)','yes','no'),(37,4,2,2101,'game_user_password_reset_code_result','Server informs the client whether or not the password reset-code could be requested (so)','no','no'),(38,4,2,2104,'game_user_password_reset_new_request','User is setting a new password for his account using the reset code that he has been sent via e-mail (co)','yes','no'),(39,4,2,2105,'game_user_password_reset_new_result','Server informs the client whether or not the password was successfully reset (so)','no','no'),(40,4,2,2055,'game_user_get_email_request','Client requests to receive the current e-mail address (co)','yes','no'),(41,4,2,2056,'game_user_get_email_result','Response to the e-mail change request sent by the client (so)','no','no'),(42,4,5,2350,'game_friend_list_request','Client requests the friendlist for the selected character (co)','yes','no'),(44,4,4,2427,'game_item_inventory_end','Server sends a message to signal that all items for the inventory request have now been sent (so). This is in response to the character being selected by the client, and after all items have been sent\n','no','no'),(45,4,5,2351,'game_friend_list_end','Messageto the client to signal that all friends in the friend list have been sent (so)\n\n','no','no'),(46,4,7,2310,'game_playfield_enter_world_request','Character requests to come onto the world for the first time (after having selected the character for play) (co)\n','yes','no'),(47,4,7,2320,'game_playfield_info','Send playfield information to the client, like name and world coordinates (so)','no','no'),(48,4,3,2204,'game_character_highscore_request','Request highscores from server for the highscore list (co)','yes','no'),(49,4,3,2205,'game_character_highscore_list_entry','One single list entry in for display in the highscore list (so)','no','no'),(50,4,7,2321,'game_playfield_graphics_info','Send which graphics are required for a playfield (so)','no','no'),(51,4,7,2325,'game_playfield_load_request','Client requests to send data for the current playfield, server will need to check if client is indeed waiting to load the playfield (co)','yes','no'),(52,4,7,2327,'game_playfield_load_chunk','Send playfield data to the client (so)','no','yes'),(53,4,7,2330,'game_playfield_enter_request','Character requests to step on a playfield. This is not to be confused with the request enter world message which is only issued at the very beginning of the game. The enter playfield message is sent each time before the client character is actually added to the playfield (co)','yes','no'),(54,4,7,2332,'game_playfield_enter_result','Response from server to notify the client whether or not the character may step on the playfield now','no','no'),(55,4,8,2700,'game_character_move','Character moves on the playfield, this is the single most frequent message sent by clients (co)','yes','no'),(56,4,8,2705,'game_character_move_info','This message notifies one or more clients that another character has moved (so)','no','no'),(57,4,8,2710,'game_character_add','Server informs a client that a character is now in his interest zone, i.e. visible and relevant (so)','no','no'),(58,4,8,2713,'game_character_remove','Server informs a client that a character is not in his interest zone anymore, i.e. invisible and irrelevant (so)','no','no'),(59,4,4,2410,'game_item_add','Server informs a client that an item is now in his interest zone, i.e. visible and relevant (so)\n','no','no'),(60,4,4,2412,'game_item_remove','Server informs a client that an item is now out of his interest zone, i.e. invisible and therefore irrelevant (so)\n','no','no'),(61,4,4,2424,'game_item_pickup_request','Client requests to pickup an item from a playfield (co)','yes','no'),(62,4,4,2425,'game_item_inventory_add','Send an item character entry to the client to add to the inventory (so)','no','no'),(63,4,4,2426,'game_item_inventory_add_fail','Server informs client that item could not be picked up / added to the inventory (so)','no','no'),(64,4,4,2440,'game_item_drop_request','Client drops an item to the playfield (co)\n','yes','no'),(65,4,4,2430,'game_item_equip_request','Client requests to equip an item (co)','yes','no'),(66,4,4,2432,'game_item_unequip_request','Client requests to unequip an item (co)','yes','no'),(68,4,8,2740,'game_character_chat_all_request','Client sends request to deliver a public chat message to all in range (co)','yes','no'),(69,4,8,2741,'game_character_chat_all_info','Server broadcasts a public chat message to all clients in range (so)','no','no'),(71,4,8,2751,'game_character_chat_info','Server sends chat message to client (so)','no','no'),(73,4,8,2750,'game_character_chat_request','Client sends request to deliver a private chat message (co)','yes','no'),(74,4,1,1026,'game_debug','Client sends a generic debug message to the server (co)','yes','no'),(75,4,2,2070,'game_user_forced_logout','Server informs client that he has been forcibly logged out (e.g. on double login)  (so)','no','no'),(76,4,8,2800,'game_character_attack_request','Client requests to attack / hit another character (co). This should be among the most frequent incoming messages after the movement messages.','yes','no'),(77,4,8,2803,'game_character_hit_info','Server informs clients in range that a character has been hit (so)','no','no'),(78,4,8,2804,'game_character_hit_miss_info','Server informs clients in range that an attack attempt was unsuccessful (so)','no','no'),(79,4,8,2820,'game_character_killed','Server informs clients in range that a character was kiled (so). If the killed character receives this message he must switch to death mode and send a respawn request to be revived at the respawn location','no','no'),(80,4,3,2208,'game_character_respawn_result','Server informs client whether or not respawning is ok (so)','no','no'),(81,4,3,2207,'game_character_respawn_request','Client requests to respawn (co)','yes','no'),(82,4,3,2215,'game_character_increase_vitality','Server informs client that vitality (health / mana) has been refilled by certain amounts such that those vitality values need an update (so)','no','no');
/*!40000 ALTER TABLE `messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `modules`
--

DROP TABLE IF EXISTS `modules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `modules` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `module_name` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `modules`
--

LOCK TABLES `modules` WRITE;
/*!40000 ALTER TABLE `modules` DISABLE KEYS */;
INSERT INTO `modules` VALUES (1,'Generic'),(2,'Users'),(3,'Characters'),(4,'Items'),(5,'Friends'),(6,'Quests'),(7,'Playfields'),(8,'CharacterInteraction');
/*!40000 ALTER TABLE `modules` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2011-09-03 20:48:13
